> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Swap Config

> Bulk upsert swap rates for multiple instruments on a group.
Only swap_type, swap_long, swap_short are updated — other group_instrument
overrides (spread, margin_rate, etc.) are preserved.



## OpenAPI

````yaml /openapi.json put /broker/groups/{group_id}/swap-config
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /broker/groups/{group_id}/swap-config:
    put:
      tags:
        - Instruments & Groups
      summary: Bulk Swap Config
      description: >-
        Bulk upsert swap rates for multiple instruments on a group.

        Only swap_type, swap_long, swap_short are updated — other
        group_instrument

        overrides (spread, margin_rate, etc.) are preserved.
      operationId: bulk_swap_config_broker_groups__group_id__swap_config_put
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwapConfigRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SwapConfigRequest:
      properties:
        instruments:
          additionalProperties:
            $ref: '#/components/schemas/SwapInstrumentConfig'
          type: object
          minProperties: 1
          title: Instruments
      type: object
      required:
        - instruments
      title: SwapConfigRequest
    SwapConfigResponse:
      properties:
        group_id:
          type: string
          format: uuid
          title: Group Id
        instruments_updated:
          type: integer
          title: Instruments Updated
        instruments_created:
          type: integer
          title: Instruments Created
      type: object
      required:
        - group_id
        - instruments_updated
        - instruments_created
      title: SwapConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SwapInstrumentConfig:
      properties:
        swap_type:
          type: string
          pattern: ^(points|percent|pips)$
          title: Swap Type
        swap_long:
          type: number
          title: Swap Long
        swap_short:
          type: number
          title: Swap Short
      type: object
      required:
        - swap_type
        - swap_long
        - swap_short
      title: SwapInstrumentConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````